Subject: wrt wxwin port Re: Q: Case sensitive file names (B17)
From: [email-masked] (Keith Gary Boyce )

13 Dec 1996 20:08:50 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
Original-To: Barry Roberts  <[email-masked]>, Geoffrey Noer  <[email-masked]>,
        [email-masked]
X-Mailer: Chameleon ATX 6.0.1, Standards Based IntraNet Solutions, NetManage Inc.
X-Face: ^DH_.wR&WxVpl/6xSwb1zT".+d0hm%R>&bOD<uhG0]C5^PtJ*C-{,0kzA+{][f&K9_svTdC
 WN/[+/~KR3H&Q`>: y{?
X-Priority: 3 (Normal)
Original-Sender: [email-masked]

I wonder if this case sensitivity is causing string.h to be read
from g++ include directory. On win95 in g++ directory header
is named String.h and in normal include directory it's called string.h
Now if this is working well if I say 
#include <string.h> it should include the normal include file but it
doesn't it includes String.h from g++ directory...

Any comments
--- On Fri, 13 Dec 1996 15:34:44 -0700  Barry Roberts 
<[email-masked]> wrote:
It seems that the cygnus file and shell utilities are case sensitive when
performing wildcard expansion, and aren't for an explicit file name.

For example, ls *.cpp will not show HELLO.CPP, but ls hello.cpp will
show it (as lower case).

For the utilities I have tried (grep, ls, cat), this seems to be true 
whether
run from cmd or bash.

Is there a way that I can turn off this case sensitivity?  It makes many of
the utilities MUCH less useful on FAT/NTFS/HPFS partitions which
preserve but ignore case.

Thanks,
Barry Roberts

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".

---------------End of Original Message-----------------

-------------------------------------
Name: Garry Boyce
E-mail: [email-masked] (Garry Boyce)
Date: 12/01/94
Time: 08:46:10

This message was sent by Chameleon 
-------------------------------------

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".